Create sponsor
WARNING! Due to a sporadic bug, you should leave at least 0.5 seconds between requests to this endpoint — unless you are explicitly specifying "position" for each sponsor. Failure to do so may result in some requests failing with a 500 Server Error. This notice will be updated once the bug is fixed.
curl --location -g --request POST 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/sponsors/' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'\
--data '{
"sponsor": {
"category_id": "{{category_id}}",
"position": "{{position_id}}",
"uses_chat": true,
"uses_analytics": true,
"lead_scanning_enabled":true,
"name": "{{random_company_name}}",
"subtitle": "{{random_subtitle}},
"logo": "{{logo_url}}",
"cover_image": "{{cover_image_url}}",
"cta_text": "{{some_cta_text}}",
"facebook": "{{facebook_page_url}}",
"twitter": "{{twitter_url}}",
"external_id":{{external_id}}
"linkedin": "{{linkedin_url}}",
"instagram": "{{instagram_url}}",
"website": "{{website_url}}",
"industry": "{{random_company}}",
"has_automatic_representatives_linking": "{{boolean}}",
"company_domains":["abc.com","xyz.io"],
"representatives_linking_method":"{{random_option}}",
"content":"{{rich_text_content}}",
"custom_fields_attributes": [
{
"key": "key1",
"value": "Value 1"
},
{
"key": "key2",
"value": "Value 2"
}
],
"interest_categories": [
{
"name": "a MM Category",
"interests": [
{
"name": "My first interest"
},
{
"name": "My second interest"
},
{
"name": "Oooh another Interest"
}
]
}],
"products": [
{
"title": "My first product",
"description": "Describing my truly excellent, fantabulous product",
"url": "https://mywebsite.com/product-listing/truly-excellent",
"image": "https://cyclops-ui.com/img/cyclops-simplistic.png"
},
{
"title": "A cooler second product",
"description": "Describing my truly excellent, fantabulous product v2",
"url": "https://mywebsite.com/product-listing/truly-excellent-2",
"image": "https://cyclops-ui.com/img/cyclops-simplistic.png"
}
],
"media": {
"deck_slides": [
{
"title": "Slide Title CHANGED-LAST",
"url": "https://ssec.si.edu/sites/default/files/blogpost/images/BUTTERFLY%20WING%20OPTICS.png",
"body_type": "image"
},
{
"title": "Slide Title CHANGED",
"url": "https://ssec.si.edu/sites/default/files/blogpost/images/BUTTERFLY%20WING%20OPTICS.png",
"body_type": "image"
},
{
"title": "Slide Title 2-LAST",
"url": "https://hubspot.com/",
"body_type": "iframe"
},
{
"title": "Slide Title 2",
"url": "https://hubspot.com",
"body_type": "iframe"
}
],
"sidebar_tabs": [
{
"title": "Tab 3xxxxxxxx-LAST",
"url": "https://brella.io"
},
{
"title": "Tab 3xxxxxxxx",
"url": "https://brella.io/"
}
]
}
}
}'REQUEST BODY
Required attributes:
- category_id Number / see notes for more information
- name String / typically the company name
Notes:
01: The lead_scanning_enabled, uses_analytics, uses_chat and has_automatic_representatives_linking attributes are of the boolean type, and support the values true / false.
- lead_scanning_enabled: If true, allows any sponsor representatives / attendees linked to this sponsor company to use lead scanning to capture data by scanning QR codes. This data will be available to sponsor admins and reps in the Sponsor Admin Panel
- uses_analytics: If true, allows sponsor admins assigned to this sponsor company to see traffic analytics data (such as who visited their virtual booth and engaged with their content etc.)
- uses_chat: If true, enables a public booth chat for their virtual booth
- has_automatic_representatives_linking:
- If you'd like to automatically link sponsor representatives to this sponsor company, this needs to be set as TRUE along with the representatives_linking_method option.
- Leave false to manually select who is linked to this sponsor company.
- representatives_linking_methodsupports the following values:
- partial_company_name_match- links the representatives if the Sponsor Company Name matches most of the content. For example, if the Sponsor Company Name is 'ABC Ltd' and the user's company title is 'ABC' or 'ABC Ltd': Partial match will link. ✅
- exact_company_name_match- only links the representatives if the Sponsor Company Name matches exactly. This is case-sensitive.
- company_domain_match- links the representatives based on the Email Domains provided. For example: if Sponsor Company Name is 'ABC Ltd' and Email Domain is 'abc.com', all users with "abc.com" in their email addresses will be linked automatically.
- company_domain is an array which supports whatever domains you need to match sponsor reps by (eg: if you supply brella.io and google.ie as company domains — whenever anyone with a [email protected] or [email protected] email in their INVITE joins Brella, they will get assigned to that booth.)
02: The cover_image and logo attributes allow for automatic uploading of a booth cover image and sponsor logo from web-based sources. To use this, pass a URL leading to a valid image resource (JPG / JPEG / PNG etc.) as a string.
03: The values for the category_id attribute can be found in your event's Admin Panel (Sponsors > Categories). You can add as many categories as needed in the Admin Panel. Categories can't be created via the API just yet.
04: interest_categories should include a Matchmaking Category and the interests.
- If the interests don't exist in the matchmaking set-up, the API call will create these interests.
- If you make an API call where the interests array or any of those parameters is empty, it will delete them from the INVITE. It will NEVER DELETE interests from the event itself, since multiple attendees/ sponsors might be using these interests and identity data in the event.
05: product should be an array. Each object within the product sarray corresponds to a single sponsor product.
- The name, description, and url are mandatory.
06: custom_fields_attributes should be an array. Each object within the custom_fields_attributes array corresponds to a single custom field, which can be created manually from the Admin Panel:
- The Custom Field needs to be linked to the Sponsors.
- The key and value are mandatory.
- Currently, value needs to be a string.